/**
 * Created by PhpStorm.
 * User:  iyahe@qq.com (天明)
 * Date: 2019/11/25 0025
 * Time: 下午 18:53
 * Description:
 */
const qrcode = require('jr-qrcode');
class Index {
  constructor() {
    this.options = {
      padding: 10,
      width: 256,
      height: 256,
      reverse: false,
      background: '#ffffff',
      foreground: '#000000'
    };
    this.imgBase64 = null;
  }
  
  /**
   * 单独配置Option,
   * @param config
   * @returns {Index}
   */
  setOption (config = {}) {
    this.options = {
      padding: config.padding || 10,
      width: config.width || 256,
      height: config.height || 256,
      reverse: false,
      background: config.background || '#ffffff',
      foreground: config.foreground || '#000000'
    };
    return this;
  }
  make (text, cb) {
    this.imgBase64 = qrcode.getQrBase64(text, this.options);
    cb && cb(this.imgBase64);
  }
  location (cb) {
    const location = window.location.href;
    this.make(location, cb);
  }
}
module.exports = new Index();
