/**
 * Created by PhpStorm.
 * User:  iyahe@qq.com (天明)
 * Date: 2019/11/25 0025
 * Time: 下午 18:54
 * Description:
 */
const app = require('./app/index');
const config = require('./package')
class Index {
  constructor () {
    this.autoQcode();
    this.clickQcode();
    this.eventQcode();
  }
  init (){}
  // TODO 自动生成
  autoQcode () {
    // TODO 用法1. 在img 标签上写class名称为 qcode
    this.qcodeKey = window.qcodeKey || '.qcode';
    const qcode = document.querySelectorAll('.qcode');
    qcode.forEach((value) => {
      const dataUrl = value.getAttribute('data-url');
      app.make(dataUrl, img => {
        value.setAttribute('src', img)
      });
    });
  }
  // TODO 节点点击生成二维码
  clickQcode () {
    const ccode = document.querySelectorAll('.ccode');
    ccode.forEach(value => {
      value.addEventListener('click', function (e) {
        const target = value.getAttribute('data-target');
        const url = value.getAttribute('data-url');
        e.preventDefault(); //阻止默认行为
        app.setOption({}); //恢复默认配置
        app.make(url, img => {
          document.querySelector(target).setAttribute('src', img)
        })
      })
    })
  }
  // TODO 事件传递生成二维码
  eventQcode () {
    const defconfig = {
      init: app,
      setOption: function (config) {
        return app.setOption(config)
      }
    };
    window.webQcode = {...defconfig, ...config };
  }
}

// TODO 初始化执行
setTimeout(()=> {
  new Index().init();
})

